View Issue Details

IDProjectCategoryView StatusLast Update
0000515OpenIVGeneralpublic2018-02-25 19:44
ReporterfrangershwingAssigned ToTeam 
Status resolvedResolutionfixed 
PlatformWindowsOS7 (64-bit, 32-bit)OS Version6.1
Product Version2.9.2 
Target Versionv.NextFixed in Versionv.Next 
Summary0000515: OpenIV might crash while importing some DDS files
DescriptionI edited the dds-file of "lowr_diff_001_a_whi.otd" of ped "a_f_y_hipster_01" - of GTA-V- and saved the file as png-type - my editor (irfanview) doesn't save
in dds-format.
I went to site "" and made the conversion of the png-file to dds and replaced the original "" with the new one, but when I tried to upload the modded file to the rpf-archive OpenIV crashed with the following error message:

EAccessViolantion: Access violation at address 00F8C812 in module "OpenIV.exe"
Read of address 0000000.

I could open the downloaded dds normally and it looked exactly equal to
the original png I uploaded.
My guess is that the format of the converted file from the internet was in conflict with the usual format of GTAV dds-files.
Thanks for the great work you do at OpenIV. Best.
TagsNo tags attached.



2018-02-10 14:44

administrator   ~0000318

Can you please upload your DDS file

Issue History

Date Modified Username Field Change
2018-02-09 22:36 frangershwing New Issue
2018-02-10 14:44 GooD-NTS Note Added: 0000318
2018-02-10 14:44 GooD-NTS Status new => feedback
2018-02-25 19:39 GooD-NTS Assigned To => Team
2018-02-25 19:39 GooD-NTS Severity minor => crash
2018-02-25 19:39 GooD-NTS Reproducibility always => sometimes
2018-02-25 19:39 GooD-NTS Status feedback => assigned
2018-02-25 19:39 GooD-NTS Target Version => v.Next
2018-02-25 19:39 GooD-NTS Summary bug uploading dds-file => OpenIV might crash while importing some DDS files
2018-02-25 19:39 GooD-NTS Game Grand Theft Auto IV/EfLC => [ALL]
2018-02-25 19:44 GooD-NTS Status assigned => resolved
2018-02-25 19:44 GooD-NTS Resolution open => fixed
2018-02-25 19:44 GooD-NTS Fixed in Version => v.Next